/*
 * Intel ACPI Component Architecture
 * AML/ASL+ Disassembler version 20210930 (64-bit version)
 * Copyright (c) 2000 - 2021 Intel Corporation
 * 
 * Disassembling to symbolic ASL+ operators
 *
 * Disassembly of /Users/yo/Desktop/Felbo/ZeroRPM-off/SSDT-ZeroRPM-OFF.aml, Sun Feb  4 16:37:44 2024
 *
 * Original Table Header:
 *     Signature        "SSDT"
 *     Length           0x00000A9C (2716)
 *     Revision         0x02
 *     Checksum         0x79
 *     OEM ID           "DRTNIA"
 *     OEM Table ID     "AMDGPU"
 *     OEM Revision     0x00001000 (4096)
 *     Compiler ID      "INTL"
 *     Compiler Version 0x20210930 (539035952)
 */
DefinitionBlock ("", "SSDT", 2, "DRTNIA", "AMDGPU", 0x00001000)
{
    External (_SB_.PCI0, DeviceObj)
    External (_SB_.PCI0.PEG1.PEGP, DeviceObj)

    Scope (\_SB.PCI0.PEG1.PEGP)
    {
        If (_OSI ("Darwin"))
        {
            Method (_DSM, 4, NotSerialized)  // _DSM: Device-Specific Method
            {
                Local0 = Package (0x02)
                    {
                        "PP_PhmSoftPowerPlayTable", 
                        Buffer (0x09A6)
                        {
                            /* 0000 */  0xA6, 0x09, 0x12, 0x00, 0x02, 0x22, 0x03, 0xAE,  // ....."..
                            /* 0008 */  0x09, 0x00, 0x00, 0x22, 0x43, 0x00, 0x00, 0x83,  // ..."C...
                            /* 0010 */  0x00, 0x18, 0x00, 0x00, 0x00, 0x1C, 0x00, 0x00,  // ........
                            /* 0018 */  0x00, 0x00, 0x00, 0x00, 0x76, 0x00, 0x00, 0x00,  // ....v...
                            /* 0020 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0028 */  0x00, 0x00, 0x01, 0x00, 0x00, 0x00, 0x01, 0x00,  // ........
                            /* 0030 */  0x00, 0x00, 0x0D, 0x00, 0x00, 0x00, 0x52, 0x0B,  // ......R.
                            /* 0038 */  0x00, 0x00, 0x00, 0x05, 0x00, 0x00, 0xE8, 0x03,  // ........
                            /* 0040 */  0x00, 0x00, 0x08, 0x07, 0x00, 0x00, 0xE2, 0x04,  // ........
                            /* 0048 */  0x00, 0x00, 0x95, 0x05, 0x00, 0x00, 0xE2, 0x04,  // ........
                            /* 0050 */  0x00, 0x00, 0x95, 0x05, 0x00, 0x00, 0xB0, 0x04,  // ........
                            /* 0058 */  0x00, 0x00, 0xC1, 0x04, 0x00, 0x00, 0xC1, 0x04,  // ........
                            /* 0060 */  0x00, 0x00, 0x2A, 0x03, 0x00, 0x00, 0xC1, 0x04,  // ..*.....
                            /* 0068 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0070 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF4, 0x01,  // ........
                            /* 0078 */  0x00, 0x00, 0xA2, 0x01, 0x00, 0x00, 0x61, 0x00,  // ......a.
                            /* 0080 */  0x00, 0x00, 0xF4, 0x01, 0x00, 0x00, 0x3C, 0x02,  // ......<.
                            /* 0088 */  0x00, 0x00, 0xB2, 0x02, 0x00, 0x00, 0x3C, 0x02,  // ......<.
                            /* 0090 */  0x00, 0x00, 0xB2, 0x02, 0x00, 0x00, 0xA2, 0x01,  // ........
                            /* 0098 */  0x00, 0x00, 0xE7, 0x01, 0x00, 0x00, 0xE7, 0x01,  // ........
                            /* 00A0 */  0x00, 0x00, 0x2C, 0x01, 0x00, 0x00, 0xE7, 0x01,  // ..,.....
                            /* 00A8 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 00B0 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x81, 0x00,  // ........
                            /* 00B8 */  0x00, 0x00, 0x10, 0x00, 0x00, 0x00, 0x1E, 0x00,  // ........
                            /* 00C0 */  0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01,  // ........
                            /* 00C8 */  0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01,  // ........
                            /* 00D0 */  0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 00D8 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 00E0 */  0x00, 0x00, 0x4E, 0x0C, 0x00, 0x00, 0x4E, 0x0C,  // ..N...N.
                            /* 00E8 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 00F0 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x4E, 0x0C,  // ......N.
                            /* 00F8 */  0x00, 0x00, 0xB0, 0x04, 0x00, 0x00, 0xB0, 0x04,  // ........
                            /* 0100 */  0x00, 0x00, 0x14, 0x00, 0x00, 0x00, 0xAC, 0x0D,  // ........
                            /* 0108 */  0x00, 0x00, 0xAC, 0x0D, 0x00, 0x00, 0x6E, 0x00,  // ......n.
                            /* 0110 */  0x00, 0x00, 0x6E, 0x00, 0x00, 0x00, 0x01, 0x00,  // ..n.....
                            /* 0118 */  0x00, 0x00, 0x01, 0x00, 0x00, 0x00, 0x01, 0x00,  // ........
                            /* 0120 */  0x00, 0x00, 0x01, 0x00, 0x00, 0x00, 0x01, 0x00,  // ........
                            /* 0128 */  0x00, 0x00, 0x64, 0x00, 0x00, 0x00, 0x64, 0x00,  // ..d...d.
                            /* 0130 */  0x00, 0x00, 0x64, 0x00, 0x00, 0x00, 0x64, 0x00,  // ..d...d.
                            /* 0138 */  0x00, 0x00, 0x64, 0x00, 0x00, 0x00, 0x64, 0x00,  // ..d...d.
                            /* 0140 */  0x00, 0x00, 0x64, 0x00, 0x00, 0x00, 0x64, 0x00,  // ..d...d.
                            /* 0148 */  0x00, 0x00, 0x64, 0x00, 0x00, 0x00, 0x64, 0x00,  // ..d...d.
                            /* 0150 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0158 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0160 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0168 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0170 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0178 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0180 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0188 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0190 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0198 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 01A0 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 01A8 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 01B0 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 01B8 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 01C0 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 01C8 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 01D0 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 01D8 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 01E0 */  0x00, 0x00, 0xF4, 0x01, 0x00, 0x00, 0xF4, 0x01,  // ........
                            /* 01E8 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 01F0 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF4, 0x01,  // ........
                            /* 01F8 */  0x00, 0x00, 0xA2, 0x02, 0x00, 0x00, 0xA2, 0x02,  // ........
                            /* 0200 */  0x00, 0x00, 0x06, 0x00, 0x00, 0x00, 0xFA, 0x00,  // ........
                            /* 0208 */  0x00, 0x00, 0xE8, 0x03, 0x00, 0x00, 0x19, 0x00,  // ........
                            /* 0210 */  0x00, 0x00, 0x32, 0x00, 0x00, 0x00, 0x00, 0x00,  // ..2.....
                            /* 0218 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0220 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0228 */  0x00, 0x00, 0x19, 0x00, 0x00, 0x00, 0x0A, 0x00,  // ........
                            /* 0230 */  0x00, 0x00, 0x19, 0x00, 0x00, 0x00, 0x0A, 0x00,  // ........
                            /* 0238 */  0x00, 0x00, 0x19, 0x00, 0x00, 0x00, 0x0A, 0x00,  // ........
                            /* 0240 */  0x00, 0x00, 0x19, 0x00, 0x00, 0x00, 0x0A, 0x00,  // ........
                            /* 0248 */  0x00, 0x00, 0x19, 0x00, 0x00, 0x00, 0x0A, 0x00,  // ........
                            /* 0250 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0258 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0260 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0268 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0270 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0278 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0280 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0288 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0290 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0298 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 02A0 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 02A8 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 02B0 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 02B8 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 02C0 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 02C8 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 02D0 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 02D8 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 02E0 */  0x00, 0x00, 0x06, 0x00, 0x00, 0x00, 0x06, 0x00,  // ........
                            /* 02E8 */  0x00, 0x00, 0x50, 0x00, 0x50, 0x00, 0x5F, 0x00,  // ..P.P._.
                            /* 02F0 */  0x5F, 0x00, 0x9E, 0x07, 0x9E, 0x07, 0xD6, 0x06,  // _.......
                            /* 02F8 */  0xD6, 0x06, 0xAC, 0x0D, 0xAC, 0x0D, 0xCA, 0x08,  // ........
                            /* 0300 */  0x6C, 0x07, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // l.......
                            /* 0308 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0310 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0318 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0320 */  0x00, 0x00, 0x06, 0x00, 0x00, 0x00, 0xFF, 0xFD,  // ........
                            /* 0328 */  0x7F, 0xA3, 0xE3, 0x37, 0x04, 0x00, 0x91, 0x00,  // ...7....
                            /* 0330 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0338 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x91, 0x00,  // ........
                            /* 0340 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0348 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x82, 0x00,  // ........
                            /* 0350 */  0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x64, 0x00,  // ......d.
                            /* 0358 */  0x6E, 0x00, 0x64, 0x00, 0x73, 0x00, 0x73, 0x00,  // n.d.s.s.
                            /* 0360 */  0x73, 0x00, 0x73, 0x00, 0x00, 0x00, 0x00, 0x00,  // s.s.....
                            /* 0368 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00,  // ........
                            /* 0370 */  0x00, 0x00, 0x0A, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0378 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0380 */  0x00, 0x00, 0xB8, 0x0B, 0x48, 0x0D, 0xD8, 0x0E,  // ....H...
                            /* 0388 */  0x68, 0x10, 0xC0, 0x12, 0x00, 0x00, 0xFC, 0x38,  // h......8
                            /* 0390 */  0x00, 0x00, 0xFF, 0x3F, 0x00, 0x00, 0x32, 0x00,  // ...?..2.
                            /* 0398 */  0x64, 0x00, 0x00, 0x00, 0xB8, 0x0B, 0xB8, 0x0B,  // d.......
                            /* 03A0 */  0x32, 0x00, 0x00, 0x00, 0x00, 0x00, 0xEA, 0x0B,  // 2.......
                            /* 03A8 */  0xEA, 0x0B, 0xF8, 0x11, 0x68, 0x10, 0x80, 0x00,  // ....h...
                            /* 03B0 */  0x00, 0x01, 0x37, 0x00, 0x37, 0x00, 0xB8, 0x0B,  // ..7.7...
                            /* 03B8 */  0xB8, 0x0B, 0xB8, 0x0B, 0xB8, 0x0B, 0x05, 0x00,  // ........
                            /* 03C0 */  0x05, 0x00, 0x00, 0x00, 0x02, 0x00, 0x00, 0x00,  // ........
                            /* 03C8 */  0x80, 0x3F, 0x00, 0x00, 0x00, 0x00, 0x38, 0x15,  // .?....8.
                            /* 03D0 */  0x09, 0x3E, 0xF8, 0xC2, 0xE4, 0xBD, 0x2E, 0x1C,  // .>......
                            /* 03D8 */  0x28, 0x3F, 0xA1, 0x01, 0x00, 0x00, 0x00, 0x00,  // (?......
                            /* 03E0 */  0x02, 0x00, 0xBE, 0x9F, 0x8A, 0x3F, 0x48, 0xE1,  // .....?H.
                            /* 03E8 */  0x7A, 0x3E, 0xF7, 0x58, 0xFA, 0x3A, 0x56, 0x0E,  // z>.X.:V.
                            /* 03F0 */  0xED, 0x3E, 0xEF, 0x55, 0xAB, 0x3E, 0xA2, 0x01,  // .>.U.>..
                            /* 03F8 */  0x00, 0x00, 0x00, 0x01, 0x04, 0x00, 0x71, 0x3D,  // ......q=
                            /* 0400 */  0x9A, 0x3F, 0xC3, 0xF5, 0x28, 0x3E, 0x00, 0x52,  // .?..(>.R
                            /* 0408 */  0x1B, 0x3B, 0x0A, 0xD7, 0x03, 0x3F, 0xC3, 0x47,  // .;...?.G
                            /* 0410 */  0x94, 0x3E, 0x61, 0x00, 0x00, 0x00, 0x00, 0x00,  // .>a.....
                            /* 0418 */  0x02, 0x00, 0x00, 0x00, 0x80, 0x3F, 0x00, 0x00,  // .....?..
                            /* 0420 */  0x00, 0x00, 0xB9, 0xA5, 0xD5, 0x3A, 0xBE, 0x9F,  // .....:..
                            /* 0428 */  0xDA, 0x3E, 0x5C, 0x8F, 0x82, 0x3E, 0xF4, 0x01,  // .>\..>..
                            /* 0430 */  0x00, 0x00, 0x00, 0x00, 0x02, 0x00, 0xF6, 0x28,  // .......(
                            /* 0438 */  0x9C, 0x3F, 0x08, 0xAC, 0x1C, 0x3E, 0xA3, 0x40,  // .?...>.@
                            /* 0440 */  0x1F, 0x3B, 0x42, 0x60, 0x05, 0x3F, 0xEE, 0x5A,  // .;B`.?.Z
                            /* 0448 */  0x82, 0x3E, 0x3C, 0x02, 0x00, 0x00, 0x00, 0x00,  // .><.....
                            /* 0450 */  0x02, 0x00, 0xD3, 0x4D, 0x82, 0x3F, 0x83, 0xC0,  // ...M.?..
                            /* 0458 */  0x4A, 0x3E, 0xFD, 0x82, 0xDD, 0x3A, 0x52, 0xB8,  // J>...:R.
                            /* 0460 */  0xDE, 0x3E, 0x8D, 0x5D, 0x82, 0x3E, 0xB2, 0x02,  // .>.].>..
                            /* 0468 */  0x00, 0x00, 0x00, 0x00, 0x02, 0x00, 0xF6, 0x28,  // .......(
                            /* 0470 */  0x9C, 0x3F, 0x08, 0xAC, 0x1C, 0x3E, 0xA3, 0x40,  // .?...>.@
                            /* 0478 */  0x1F, 0x3B, 0x42, 0x60, 0x05, 0x3F, 0xEE, 0x5A,  // .;B`.?.Z
                            /* 0480 */  0x82, 0x3E, 0x3C, 0x02, 0x00, 0x00, 0x00, 0x00,  // .><.....
                            /* 0488 */  0x02, 0x00, 0xD3, 0x4D, 0x82, 0x3F, 0x83, 0xC0,  // ...M.?..
                            /* 0490 */  0x4A, 0x3E, 0xFD, 0x82, 0xDD, 0x3A, 0x52, 0xB8,  // J>...:R.
                            /* 0498 */  0xDE, 0x3E, 0x8D, 0x5D, 0x82, 0x3E, 0xB2, 0x02,  // .>.].>..
                            /* 04A0 */  0x00, 0x00, 0x00, 0x00, 0x02, 0x00, 0xF9, 0x0F,  // ........
                            /* 04A8 */  0x99, 0x3F, 0x9A, 0x99, 0x99, 0x3E, 0x89, 0x0C,  // .?...>..
                            /* 04B0 */  0x2B, 0x3B, 0x71, 0x3D, 0x0A, 0x3F, 0x1B, 0x64,  // +;q=.?.d
                            /* 04B8 */  0x82, 0x3E, 0xA2, 0x01, 0x00, 0x00, 0x00, 0x00,  // .>......
                            /* 04C0 */  0x02, 0x00, 0xEC, 0x51, 0x98, 0x3F, 0x73, 0x68,  // ...Q.?sh
                            /* 04C8 */  0x11, 0x3E, 0x17, 0xF1, 0x1D, 0x3B, 0x2F, 0xDD,  // .>...;/.
                            /* 04D0 */  0x04, 0x3F, 0x8D, 0x5D, 0x82, 0x3E, 0xE7, 0x01,  // .?.].>..
                            /* 04D8 */  0x00, 0x00, 0x00, 0x00, 0x02, 0x00, 0xEC, 0x51,  // .......Q
                            /* 04E0 */  0x98, 0x3F, 0x73, 0x68, 0x11, 0x3E, 0x17, 0xF1,  // .?sh.>..
                            /* 04E8 */  0x1D, 0x3B, 0x2F, 0xDD, 0x04, 0x3F, 0x8D, 0x5D,  // .;/..?.]
                            /* 04F0 */  0x82, 0x3E, 0xE7, 0x01, 0x00, 0x00, 0x00, 0x00,  // .>......
                            /* 04F8 */  0x02, 0x00, 0xD9, 0xCE, 0x37, 0x3F, 0xAC, 0x1C,  // ....7?..
                            /* 0500 */  0x3A, 0x3F, 0x00, 0x00, 0x00, 0x00, 0x44, 0x69,  // :?....Di
                            /* 0508 */  0x8F, 0x3E, 0xC1, 0x39, 0x13, 0x3F, 0x2C, 0x01,  // .>.9.?,.
                            /* 0510 */  0x00, 0x00, 0x00, 0x00, 0x02, 0x00, 0xEC, 0x51,  // .......Q
                            /* 0518 */  0x98, 0x3F, 0x73, 0x68, 0x11, 0x3E, 0x17, 0xF1,  // .?sh.>..
                            /* 0520 */  0x1D, 0x3B, 0x2F, 0xDD, 0x04, 0x3F, 0x8D, 0x5D,  // .;/..?.]
                            /* 0528 */  0x82, 0x3E, 0xE7, 0x01, 0x00, 0x00, 0xF4, 0x01,  // .>......
                            /* 0530 */  0x52, 0x0B, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // R.......
                            /* 0538 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0540 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0548 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xB2, 0x02,  // ........
                            /* 0550 */  0x95, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0558 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3C, 0x02,  // ......<.
                            /* 0560 */  0xE2, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0568 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xA2, 0x01,  // ........
                            /* 0570 */  0x00, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0578 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x61, 0x00,  // ......a.
                            /* 0580 */  0x1E, 0x02, 0xA4, 0x02, 0xE8, 0x03, 0xA2, 0x01,  // ........
                            /* 0588 */  0xB0, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0590 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xE7, 0x01,  // ........
                            /* 0598 */  0xC1, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 05A0 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xE7, 0x01,  // ........
                            /* 05A8 */  0xC1, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 05B0 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x2C, 0x01,  // ......,.
                            /* 05B8 */  0x2A, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // *.......
                            /* 05C0 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xE7, 0x01,  // ........
                            /* 05C8 */  0xC1, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 05D0 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF4, 0x01,  // ........
                            /* 05D8 */  0x08, 0x07, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 05E0 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 05E8 */  0x00, 0x00, 0xBE, 0x30, 0x81, 0x3F, 0x16, 0xFB,  // ...0.?..
                            /* 05F0 */  0x4B, 0x3D, 0x55, 0x6A, 0x76, 0xBD, 0xBE, 0x30,  // K=Ujv..0
                            /* 05F8 */  0x81, 0x3F, 0x16, 0xFB, 0x4B, 0x3D, 0x55, 0x6A,  // .?..K=Uj
                            /* 0600 */  0x76, 0xBD, 0xBE, 0x30, 0x81, 0x3F, 0x16, 0xFB,  // v..0.?..
                            /* 0608 */  0x4B, 0x3D, 0x55, 0x6A, 0x76, 0xBD, 0xF3, 0x1F,  // K=Ujv...
                            /* 0610 */  0x62, 0x3F, 0x23, 0xDB, 0xF9, 0x3D, 0x2E, 0xFF,  // b?#..=..
                            /* 0618 */  0xA1, 0xBD, 0xD0, 0xD5, 0x26, 0x3F, 0x6D, 0xE7,  // ....&?m.
                            /* 0620 */  0xFB, 0x3D, 0xBE, 0xF6, 0x2C, 0x3E, 0x52, 0x0B,  // .=..,>R.
                            /* 0628 */  0x00, 0x00, 0x00, 0x05, 0x00, 0x00, 0xE8, 0x03,  // ........
                            /* 0630 */  0x00, 0x00, 0x08, 0x07, 0x00, 0x00, 0xE2, 0x04,  // ........
                            /* 0638 */  0x00, 0x00, 0x95, 0x05, 0x00, 0x00, 0xE2, 0x04,  // ........
                            /* 0640 */  0x00, 0x00, 0x95, 0x05, 0x00, 0x00, 0xB0, 0x04,  // ........
                            /* 0648 */  0x00, 0x00, 0xC1, 0x04, 0x00, 0x00, 0xC1, 0x04,  // ........
                            /* 0650 */  0x00, 0x00, 0x2A, 0x03, 0x00, 0x00, 0xC1, 0x04,  // ..*.....
                            /* 0658 */  0x00, 0x00, 0x00, 0x03, 0x03, 0x03, 0x08, 0x07,  // ........
                            /* 0660 */  0x00, 0x00, 0x4C, 0x01, 0xFA, 0x01, 0xF0, 0x0A,  // ..L.....
                            /* 0668 */  0x80, 0x0C, 0x8C, 0x0A, 0x48, 0x0D, 0x48, 0x0D,  // ....H.H.
                            /* 0670 */  0x48, 0x0D, 0x88, 0x13, 0x18, 0x15, 0x18, 0x15,  // H.......
                            /* 0678 */  0x18, 0x15, 0xF4, 0x01, 0x20, 0x03, 0xF4, 0x01,  // .... ...
                            /* 0680 */  0x01, 0x00, 0x01, 0x02, 0x5D, 0x00, 0x01, 0x00,  // ....]...
                            /* 0688 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0690 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0698 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 06A0 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 06A8 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 06B0 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 06B8 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 06C0 */  0x00, 0x00, 0x51, 0x13, 0xD7, 0x12, 0x5D, 0x12,  // ..Q...].
                            /* 06C8 */  0xE2, 0x11, 0x68, 0x11, 0xED, 0x10, 0x73, 0x10,  // ..h...s.
                            /* 06D0 */  0xF9, 0x0F, 0x7E, 0x0F, 0x04, 0x0F, 0x89, 0x0E,  // ..~.....
                            /* 06D8 */  0x0F, 0x0E, 0xBE, 0x0C, 0x6E, 0x0B, 0x1D, 0x0A,  // ....n...
                            /* 06E0 */  0xCC, 0x08, 0x00, 0x00, 0x00, 0x00, 0x03, 0x02,  // ........
                            /* 06E8 */  0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 06F0 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03,  // ........
                            /* 06F8 */  0x01, 0x04, 0x51, 0x00, 0x6B, 0x02, 0x23, 0x00,  // ..Q.k.#.
                            /* 0700 */  0x28, 0x00, 0x00, 0x00, 0x64, 0x00, 0x64, 0x00,  // (...d.d.
                            /* 0708 */  0x64, 0x00, 0x64, 0x00, 0x64, 0x00, 0x64, 0x00,  // d.d.d.d.
                            /* 0710 */  0x90, 0x01, 0x90, 0x01, 0x64, 0x00, 0x21, 0x00,  // ....d.!.
                            /* 0718 */  0x9E, 0x07, 0xAC, 0x0D, 0xAC, 0x0D, 0x00, 0x00,  // ........
                            /* 0720 */  0x50, 0x00, 0xF4, 0x01, 0x00, 0x00, 0x01, 0x00,  // P.......
                            /* 0728 */  0x00, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0730 */  0x00, 0x00, 0x00, 0x00, 0x03, 0x00, 0x00, 0x00,  // ........
                            /* 0738 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0740 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0748 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xE7, 0xFB,  // ........
                            /* 0750 */  0x29, 0xBD, 0x93, 0x18, 0xC4, 0x3E, 0x82, 0xE7,  // )....>..
                            /* 0758 */  0xBE, 0xBE, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0760 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x81, 0x95,  // ........
                            /* 0768 */  0xC3, 0x3D, 0x58, 0xE2, 0x81, 0x3D, 0x70, 0x5F,  // .=X..=p_
                            /* 0770 */  0x87, 0xBD, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0778 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0780 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0788 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0790 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0798 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 07A0 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 07A8 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 07B0 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 07B8 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 07C0 */  0x00, 0x00, 0xE0, 0x00, 0xE0, 0x00, 0x01, 0x01,  // ........
                            /* 07C8 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xE0, 0x00,  // ........
                            /* 07D0 */  0xE0, 0x00, 0x19, 0x00, 0x19, 0x00, 0x00, 0x00,  // ........
                            /* 07D8 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 07E0 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 07E8 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 07F0 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 07F8 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0800 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0808 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01,  // ........
                            /* 0810 */  0x54, 0x0B, 0x58, 0x00, 0x00, 0x00, 0xDE, 0x93,  // T.X.....
                            /* 0818 */  0x89, 0x40, 0xB0, 0x72, 0x68, 0x3E, 0x29, 0x5C,  // .@.rh>)\
                            /* 0820 */  0xE9, 0x41, 0xE8, 0xD9, 0xCC, 0x3E, 0x00, 0x00,  // .A...>..
                            /* 0828 */  0x00, 0x00, 0x54, 0x0B, 0x54, 0x0B, 0x08, 0x0C,  // ..T.T...
                            /* 0830 */  0x08, 0x0C, 0xB4, 0x00, 0x64, 0x00, 0x64, 0x00,  // ....d.d.
                            /* 0838 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0840 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0848 */  0x00, 0x00, 0x2C, 0x08, 0x00, 0x00, 0x37, 0x09,  // ..,...7.
                            /* 0850 */  0x00, 0x00, 0x1D, 0x0A, 0x00, 0x00, 0x2C, 0x08,  // ......,.
                            /* 0858 */  0x00, 0x00, 0x37, 0x09, 0x00, 0x00, 0x1D, 0x0A,  // ..7.....
                            /* 0860 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0868 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0870 */  0x1A, 0x01, 0x01, 0xF5, 0xAD, 0x80, 0x19, 0x08,  // ........
                            /* 0878 */  0x68, 0x01, 0x01, 0x05, 0x48, 0x1C, 0xDC, 0x03,  // h...H...
                            /* 0880 */  0x0B, 0x00, 0x00, 0x00, 0xC0, 0xD0, 0xE0, 0xF0,  // ........
                            /* 0888 */  0xA5, 0x01, 0x01, 0xAA, 0x19, 0x00, 0x00, 0x00,  // ........
                            /* 0890 */  0x74, 0x01, 0x01, 0x05, 0xFF, 0xFF, 0xFF, 0xFF,  // t.......
                            /* 0898 */  0x32, 0x01, 0x01, 0xAF, 0x00, 0x00, 0x00, 0x8E,  // 2.......
                            /* 08A0 */  0x01, 0x00, 0x00, 0x00, 0x17, 0x00, 0x00, 0x00,  // ........
                            /* 08A8 */  0x17, 0x00, 0x00, 0x00, 0x92, 0x57, 0x2B, 0x05,  // .....W+.
                            /* 08B0 */  0x00, 0x00, 0x01, 0x00, 0x65, 0x00, 0x6E, 0x00,  // ....e.n.
                            /* 08B8 */  0x74, 0x00, 0x01, 0x00, 0x6F, 0x00, 0x69, 0x00,  // t...o.i.
                            /* 08C0 */  0x64, 0x00, 0x01, 0x00, 0x67, 0x00, 0x61, 0x00,  // d...g.a.
                            /* 08C8 */  0x69, 0x00, 0x01, 0x00, 0x20, 0x00, 0x61, 0x00,  // i... .a.
                            /* 08D0 */  0x74, 0x00, 0x01, 0x00, 0x4D, 0x00, 0x65, 0x00,  // t...M.e.
                            /* 08D8 */  0x6D, 0x00, 0x01, 0x00, 0x72, 0x00, 0x79, 0x00,  // m...r.y.
                            /* 08E0 */  0x00, 0x00, 0x6E, 0x00, 0x00, 0x00, 0x00, 0x00,  // ..n.....
                            /* 08E8 */  0x24, 0x6D, 0x4C, 0xAF, 0x00, 0x01, 0x00, 0x8E,  // $mL.....
                            /* 08F0 */  0x04, 0x00, 0x00, 0x00, 0x17, 0x00, 0x00, 0x00,  // ........
                            /* 08F8 */  0x17, 0x00, 0x00, 0x00, 0xE2, 0x01, 0x2B, 0x05,  // ......+.
                            /* 0900 */  0x00, 0x00, 0x54, 0x00, 0x5F, 0x00, 0x4D, 0x00,  // ..T._.M.
                            /* 0908 */  0x45, 0x00, 0x4D, 0x00, 0x31, 0x00, 0x20, 0x00,  // E.M.1. .
                            /* 0910 */  0x01, 0x00, 0x01, 0x00, 0x6E, 0x00, 0x01, 0x00,  // ....n...
                            /* 0918 */  0x43, 0x00, 0x01, 0x00, 0x6E, 0x00, 0x01, 0x00,  // C...n...
                            /* 0920 */  0x72, 0x00, 0x6F, 0x00, 0x6C, 0x00, 0x20, 0x00,  // r.o.l. .
                            /* 0928 */  0x01, 0x00, 0x61, 0x00, 0x01, 0x00, 0x6E, 0x00,  // ..a...n.
                            /* 0930 */  0x00, 0x00, 0x6E, 0x00, 0x00, 0x00, 0x00, 0x00,  // ..n.....
                            /* 0938 */  0xDE, 0x6C, 0x5A, 0xAF, 0x00, 0x02, 0x00, 0x8C,  // .lZ.....
                            /* 0940 */  0x01, 0x00, 0x00, 0x00, 0x18, 0x00, 0x00, 0x00,  // ........
                            /* 0948 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0950 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0958 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0960 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0968 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0970 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0978 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0980 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0988 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0990 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 0998 */  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // ........
                            /* 09A0 */  0x00, 0x00, 0x00, 0x00, 0x1E, 0x06               // ......
                        }
                    }
                DTGP (Arg0, Arg1, Arg2, Arg3, RefOf (Local0))
                Return (Local0)
            }
        }
    }

    Scope (\_SB.PCI0)
    {
        Method (DTGP, 5, NotSerialized)
        {
            If ((Arg0 == ToUUID ("a0b5b7c6-1318-441c-b0c9-fe695eaf949b") /* Unknown UUID */))
            {
                If ((Arg1 == One))
                {
                    If ((Arg2 == Zero))
                    {
                        Arg4 = Buffer (One)
                            {
                                 0x03                                             // .
                            }
                        Return (One)
                    }

                    If ((Arg2 == One))
                    {
                        Return (One)
                    }
                }
            }

            Arg4 = Buffer (One)
                {
                     0x00                                             // .
                }
            Return (Zero)
        }
    }
}

